#include <bits/stdc++.h>

using namespace std;

int mat[2][200001] = {{0}}; // [row], [col]

stack<int> prazne, neprazne;

int main() {
	 int n;
	 cin >> n;
	 for(int i = 0; i < n; i++) {
	 	int r, c;
	 	cin >> r >> c;
	 	mat[0][r]++;
	 	mat[1][c]++;
	 }
	 int rez = 0;
	 for(int j = 0; j < 2; j++) {	 
		for(int i = 1; i <= n; i++) {
		 	if(mat[j][i] == 0) {		 		
		 		if(!neprazne.empty()) rez += abs(i - neprazne.top()), neprazne.pop();	 						 
		 		else prazne.push(i); // kasnije ce biti resena	 		
			}
			else {
				int x = mat[j][i];
				while(!prazne.empty() && x > 1) {
					rez += abs(i - prazne.top());	 		
					prazne.pop();
					x--;				 	
				}
				while(x--) neprazne.push(i);	 		
			}	
		}
		while(!prazne.empty()) prazne.pop();
		while(!neprazne.empty()) neprazne.pop();
	}
	cout << rez;
}